Subject: [AAA-WG]: Question about where FA sends STR (draft-mobileip-08)

From: "Bob Kopacz" <[email-masked]>
Date: Sat, 23 Feb 2002 11:18:12 -0500

Hi Tony,

Here's a couple questions regarding the sending of
Session-Termination-Request messages by the FA and HA.

Question#1: Does the FA, when sending an STR, send it to his local
AAAF or to the AAAH?  The draft-mobileip-08 is inconsistent.  Here's
the story:

base-08, section 8.4 "Session Termination", says the FA's STR goes to
the AAAH:

  | When a user session that required Diameter authorization terminates,
  | the access device that provided the service MUST issue a Session-
  | Termination- Request (STR) message to the Diameter server that
  | authorized the service.

mobileip-08, figure 3, shows the FA's  STR going to the AAAH:

  |      STR, Session-Id = foo       STR, Session-Id = bar
  |      --------------------->      <--------------------
  | +----+      +------+      +------+                    +----+
  | | FA |      | AAAF |      | AAAH |                    | HA |
  | +----+      +------+      +------+                    +----+
  |      <---------------------      --------------------->
  |      STA, Session-Id = foo       STA, Session-Id = bar
  |       Figure 3: Session Termination and Session Identifiers

mobileip-08, section 1.6 "Diameter Session Termination", says the FA's
STR goes to his AAAF:

  | In order for the
  | Diameter Server to release any resources allocated to a specific
  | mobile node, the mobility agents MUST send a Session-Termination-
  | Request (STR) to their respective Diameter servers.

Possible follow up to question#1: If the FA's STR is to be sent to his
AAAF, how does the FA determine the DiameterIdentity of the AAAF (to
send as the value of the STR's Destionation-Host AVP)?

Question#2: If a server receives an STR for an unknown session, does
the server return an STA(Result-Code=Success) or an
STA(Result-Code=Unknown-Session-Id)?  

I would think STA(Result-Code=Success) because of timing.  The server
and MA may have simulateously timed out a session, the MA's STR
arrives soon after.  Or a previous FA sends an STR after a handoff
to a new FA. That sort of thing.

Bob K.

---

From: Tony Johansson <[email-masked]>
Date: Sat, 23 Feb 2002 11:57:55 -0800

Hi Bob,

It should be as state in Base-08 and as in figure 3 in mobileip-08. Thus,
the STR is issued to the Diameter server that authorized the service. I'll
go ahead and submit an issue and propose new text in mobileip-08, section
1.6 and ask for wg consensus.

Thanks,

/Tony

>
> I would think STA(Result-Code=Success) because of timing.
> The server and MA may have simulateously timed out a session, the MA's STR